Loading...
Searching...
No Matches
dolfin::BoostGraphOrdering Class Reference

This class computes graph re-orderings. It uses Boost Graph. More...

`#include <BoostGraphOrdering.h>`

## Static Public Member Functions

static std::vector< int > | compute_cuthill_mckee (const Graph &graph, bool reverse=false)
static std::vector< int > | compute_cuthill_mckee (const std::set< std::pair< std::size_t, std::size_t > > &edges, std::size_t size, bool reverse=false)

## Detailed Description

This class computes graph re-orderings. It uses Boost Graph.

## Member Function Documentation

## compute_cuthill_mckee() [1/2]

std::vector< int > BoostGraphOrdering::compute_cuthill_mckee | ( | const Graph & | graph,
|  | bool | reverse = false )

static

Compute re-ordering (map[old] -> new) using Cuthill-McKee algorithm

## compute_cuthill_mckee() [2/2]

std::vector< int > BoostGraphOrdering::compute_cuthill_mckee | ( | const std::set< std::pair< std::size_t, std::size_t > > & | edges,
|  | std::size_t | size,
|  | bool | reverse = false )

static

Compute re-ordering (map[old] -> new) using Cuthill-McKee algorithm

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/BoostGraphOrdering.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/graph/BoostGraphOrdering.cpp